﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NLocalizer.Tests
{
    [TestClass]
    public class LangReaderTest
    {
        [TestMethod]
        public void ReplaceSpecialCharsTest()
        {
            Assert.AreEqual("\r", LangReader.ReplaceSpecialChars(@"\r"));
            Assert.AreEqual("\n", LangReader.ReplaceSpecialChars(@"\n"));
            Assert.AreEqual("\t", LangReader.ReplaceSpecialChars(@"\t"));
            Assert.AreEqual("\\", LangReader.ReplaceSpecialChars(@"\\"));
            Assert.AreEqual("\"", LangReader.ReplaceSpecialChars("\\\""));
        }
    }
}
