﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NLocalizer.Tests
{
    [TestClass]
    public class LangWriterTest
    {
        [TestMethod]
        public void ReplaceSpecialCharsTest()
        {
            Assert.AreEqual(@"\r", LangWriter.ReplaceSpecialChars("\r"));
            Assert.AreEqual(@"\n", LangWriter.ReplaceSpecialChars("\n"));
            Assert.AreEqual(@"\t", LangWriter.ReplaceSpecialChars("\t"));
            Assert.AreEqual(@"\\", LangWriter.ReplaceSpecialChars("\\"));
            Assert.AreEqual("\\\"", LangWriter.ReplaceSpecialChars("\""));
        }
    }
}
